Bug 1170941 - Remove extraneous single quotes from IPV6ADDR_SECONDARIES
Summary: Remove extraneous single quotes from IPV6ADDR_SECONDARIES
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: netcf
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Laine Stump
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-05 07:30 UTC by Hu Jianwei
Modified: 2015-11-19 08:58 UTC (History)
3 users (show)

Fixed In Version: netcf-0.2.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1208894 (view as bug list)
Environment:
Last Closed: 2015-11-19 08:58:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2248 normal SHIPPED_LIVE Moderate: netcf security, bug fix, and enhancement update 2015-11-19 09:11:05 UTC

Description Hu Jianwei 2014-12-05 07:30:19 UTC
Description of problem:
Remove extraneous single quotes from IPV6ADDR_SECONDARIES

Version-Release number of selected component (if applicable):
netcf-0.2.6-2.el7.x86_64
libvirt-1.2.8-10.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
[root@localhost ~]# cat enp2s0.xml
<interface type='ethernet' name='enp2s0'>
  <start mode='onboot'/>
  <protocol family='ipv6'>
    <ip address='2002::200' prefix='64'/>
    <ip address='2002::201' prefix='64'/>
    <ip address='2002::202' prefix='64'/>
  </protocol>
</interface>
[root@localhost ~]# virsh iface-define enp2s0.xml
Interface enp2s0 defined from enp2s0.xml

[root@localhost ~]# cat /etc/sysconfig/network-scripts/ifcfg-enp2s0
DEVICE=enp2s0
ONBOOT=yes
IPV6INIT=yes
IPV6_AUTOCONF=no
DHCPV6C=no
IPV6ADDR=2002::200/64
IPV6ADDR_SECONDARIES="'2002::201/64 2002::202/64'"
[root@localhost ~]# virsh iface-dumpxml enp2s0
<interface type='ethernet' name='enp2s0'>
  <start mode='onboot'/>
  <protocol family='ipv6'>
    <ip address='2002::200' prefix='64'/>
    <ip address='2002::201' prefix='64'/>
    <ip address='2002::202' prefix='64'/>
  </protocol>
</interface>

[root@localhost ~]# virsh iface-start enp2s0
Interface enp2s0 started

[root@localhost ~]# virsh iface-dumpxml enp2s0
<interface type='ethernet' name='enp2s0'>
  <protocol family='ipv6'>
    <ip address='2002::200' prefix='64'/>
    <ip address='fe80::21b:21ff:fe27:4ece' prefix='64'/>
  </protocol>
  <link speed='1000' state='up'/>
  <mac address='00:1b:21:27:4e:ce'/>
</interface>

[root@localhost ~]# ip ad show enp2s0
3: enp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:1b:21:27:4e:ce brd ff:ff:ff:ff:ff:ff
    inet6 2002::200/64 scope global
       valid_lft forever preferred_lft forever
    inet6 fe80::21b:21ff:fe27:4ece/64 scope link
       valid_lft forever preferred_lft forever

Actual results:
As shown above steps, IPV6ADDR_SECONDARIES setting in ifcfg files was being set with an extra set of single quotes.

Expected results:
fix it

Additional info:
Should like below:
[root@localhost ~]# cat /etc/sysconfig/network-scripts/ifcfg-enp2s0
DEVICE=enp2s0
ONBOOT=yes
IPV6INIT=yes
IPV6_AUTOCONF=no
DHCPV6C=no
IPV6ADDR=2002::200/64
IPV6ADDR_SECONDARIES="2002::201/64 2002::202/64"
[root@localhost ~]# virsh iface-start enp2s0
Interface enp2s0 started

[root@localhost ~]# virsh iface-dumpxml enp2s0
<interface type='ethernet' name='enp2s0'>
  <protocol family='ipv6'>
    <ip address='2002::202' prefix='64'/>
    <ip address='2002::201' prefix='64'/>
    <ip address='2002::200' prefix='64'/>
    <ip address='fe80::21b:21ff:fe27:4ece' prefix='64'/>
  </protocol>
  <link speed='1000' state='up'/>
  <mac address='00:1b:21:27:4e:ce'/>
</interface>

[root@localhost ~]# ip ad show enp2s0
3: enp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:1b:21:27:4e:ce brd ff:ff:ff:ff:ff:ff
    inet6 2002::202/64 scope global
       valid_lft forever preferred_lft forever
    inet6 2002::201/64 scope global
       valid_lft forever preferred_lft forever
    inet6 2002::200/64 scope global
       valid_lft forever preferred_lft forever
    inet6 fe80::21b:21ff:fe27:4ece/64 scope link
       valid_lft forever preferred_lft forever

Comment 2 Hu Jianwei 2015-03-06 08:00:15 UTC
I sent a patch to upstream before:
https://lists.fedorahosted.org/pipermail/netcf-devel/2014-December/000915.html

Please review it.

Comment 3 Laine Stump 2015-03-07 08:04:48 UTC
The above patch has been pushed upstream:

commit 597032732156e03af15bdbd0c4a0e7a89e66a8f3
Author: Jianwei Hu <jiahu@redhat.com>
Date:   Fri Dec 5 14:26:22 2014 +0800

    Remove extraneous single quotes from IPV6ADDR_SECONDARIES

Comment 8 hongming 2015-05-28 08:54:54 UTC
Verify it as follows. The result is expected. Move its status to VERIFIED.

# rpm -q netcf
netcf-0.2.8-1.el7.x86_64

# cat enp15s16.xml
<interface type='ethernet' name='enp15s16'>
  <start mode='onboot'/>
  <protocol family='ipv6'>
    <ip address='2002::200' prefix='64'/>
    <ip address='2002::201' prefix='64'/>
    <ip address='2002::202' prefix='64'/>
  </protocol>
</interface>

# virsh iface-define enp15s16.xml
Interface enp15s16 defined from enp15s16.xml


# cat /etc/sysconfig/network-scripts/ifcfg-enp15s16
DEVICE="enp15s16"
ONBOOT="yes"
IPV6INIT="yes"
IPV6_AUTOCONF="no"
DHCPV6C="no"
IPV6ADDR="2002::200/64"
IPV6ADDR_SECONDARIES="2002::201/64 2002::202/64"

# virsh iface-start enp15s16
Interface enp15s16 started

# virsh iface-dumpxml enp15s16
<interface type='ethernet' name='enp15s16'>
  <protocol family='ipv6'>
    <ip address='2002::202' prefix='64'/>
    <ip address='2002::201' prefix='64'/>
    <ip address='2002::200' prefix='64'/>
    <ip address='fe80::54ed:c7ff:fe1f:fd8d' prefix='64'/>
  </protocol>
  <link speed='1000' state='up'/>
  <mac address='56:ed:c7:1f:fd:8d'/>
</interface>

# ip add show enp15s16
8: enp15s16: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 56:ed:c7:1f:fd:8d brd ff:ff:ff:ff:ff:ff
    inet6 2002::202/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 2002::201/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 2002::200/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::54ed:c7ff:fe1f:fd8d/64 scope link 
       valid_lft forever preferred_lft forever

Comment 11 errata-xmlrpc 2015-11-19 08:58:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2248.html


Note You need to log in before you can comment on or make changes to this bug.